---
layout: post
author:
    name: Andrew Grieve
    url: https://twitter.com/GrieveAndrew
title:  "Apache Cordova 3.1"
categories: blog releases
tags: news releases
---

The [Apache Cordova](http://cordova.apache.org/) team has just released Cordova 3.1.0. Hurray! Most notable changes include:

* Initial (alpha) support for Firefox OS.
* Windows 8 support for CLI project.
* Unified [whitelist syntax](http://cordova.apache.org/docs/en/3.1.0/guide_appdev_whitelist_index.md.html) on iOS and Android
* [Documentation](http://cordova.apache.org/docs/en/3.1.0/) translated into several languages ([fr](http://cordova.apache.org/docs/fr/3.1.0/index.html)
[zh](http://cordova.apache.org/docs/zh/3.1.0/index.html)
[de](http://cordova.apache.org/docs/de/3.1.0/index.html)
[it](http://cordova.apache.org/docs/it/3.1.0/index.html)
[ja](http://cordova.apache.org/docs/ja/3.1.0/index.html)
[ko](http://cordova.apache.org/docs/ko/3.1.0/index.html)
[ru](http://cordova.apache.org/docs/ru/3.1.0/index.html)
[es](http://cordova.apache.org/docs/es/3.1.0/index.html))

To upgrade a 3.0 project (replace `android` with the platform you want to update):

    npm install -g cordova
    cd my_project
    cordova platform update android

For non-CLI projects or for pre-3.0 projects, refer to the [upgrade guides](http://cordova.apache.org/docs/en/3.1.0/guide_platforms_index.md.html).

<!--more-->

## What's new in Android

The Android platform saw 55 commits land since 3.0.0. Notable changes include:

* [CB-4763](https://issues.apache.org/jira/browse/CB-4763) Deprecated JSONUtils.java, ExifHelper.java, DirectoryManager.java, FileHelper.java
* [CB-4725](https://issues.apache.org/jira/browse/CB-4725) Cordova version is now available to native plugins through `CordovaWebView.CORDOVA_VERSION`
* [CB-4652](https://issues.apache.org/jira/browse/CB-4652) Support for custom application templates for the `create` command
* [CB-3819](https://issues.apache.org/jira/browse/CB-3819) Made it easier to set SplashScreen delay.
* [CB-4013](https://issues.apache.org/jira/browse/CB-4013) Fixed `loadUrlTimeoutValue` preference.
* [CB-4096](https://issues.apache.org/jira/browse/CB-4096) Implemented new unified whitelist for android
* [CB-4133](https://issues.apache.org/jira/browse/CB-4133) Add main thread warning for plugins that run too long
* Made it easier to use custom subclasses of WebChromeClient and WebViewClient

For a full list of changes, refer to the Android [RELEASENOTES.md](https://github.com/apache/cordova-android/blob/master/RELEASENOTES.md).

## What's new in iOS

There were 50 commits to iOS since 3.0.0. The focus, of course, was support for iOS 7 and Xcode 5.

* [CB-3020](https://issues.apache.org/jira/browse/CB-3020) Several fixes to HideKeyboardFormAccessoryBar and KeyboardShrinksView (still not perfect though)
* [CB-4801](https://issues.apache.org/jira/browse/CB-4801) Add new iOS 7 properties for UIWebView in the config.xml &lt;preferences&gt;
* [CB-4539](https://issues.apache.org/jira/browse/CB-4539) Can now create CDVViewController in Storyboard
* [CB-4654](https://issues.apache.org/jira/browse/CB-4654) Allow default project template to be overridden in `create`
* [CB-4095](https://issues.apache.org/jira/browse/CB-4095) Unified whitelist implementations
* [CB-4486](https://issues.apache.org/jira/browse/CB-4486) Give iOS plugins the ability to override URL loading
* [CB-4408](https://issues.apache.org/jira/browse/CB-4408) Modify cordova/build script to build for device (armv7/armv7s)
* [CB-3005](https://issues.apache.org/jira/browse/CB-3005) Add support for query parameters in StartPage url
* [CB-4355](https://issues.apache.org/jira/browse/CB-4355) Localstorage plugin handles options incorrectly (the settings key is specified with upper case chars)

For a full list of changes, refer to the iOS [RELEASENOTES.md](https://github.com/apache/cordova-ios/blob/master/RELEASENOTES.md).

## What's new in BlackBerry

There have been 48 commits to the BlackBerry platform since 3.0.0. Many performance and stability improvements were introduced. Other notable changes include:

* [CB-4876](https://issues.apache.org/jira/browse/CB-4876) Removal of playbook implementation
* [CB-4812](https://issues.apache.org/jira/browse/CB-4812) Support for "default" value in the orientation preference
* [CB-4544](https://issues.apache.org/jira/browse/CB-4544) Adds a --query flag to query the user for their password when we need it
* [CB-4563](https://issues.apache.org/jira/browse/CB-4563) Migrated blackberry.app parameters to preferences
* [CB-4344](https://issues.apache.org/jira/browse/CB-4344) Auto-detect started simulator
* [CB-4342](https://issues.apache.org/jira/browse/CB-4342) Detect USB connected device
* [CB-4076](https://issues.apache.org/jira/browse/CB-4076) Modified config-parser to default to the uri attribute

## What's new in Windows Phone 7 & 8

Defects closed:

* [CB-3177](https://issues.apache.org/jira/browse/CB-3177) Remove `<plugin>` support in config.xml and remove deprecation notice in WP8
* [CB-3176](https://issues.apache.org/jira/browse/CB-3176) Remove `<plugin>` support in config.xml and remove deprecation notice in WP7
* [CB-4385](https://issues.apache.org/jira/browse/CB-4385) Tooling scripts fail when there are spaces in the path name
* [CB-4350](https://issues.apache.org/jira/browse/CB-4350) Bad errors when trying to add win* platforms on mac
* [CB-4421](https://issues.apache.org/jira/browse/CB-4421) WP8 Project - XHRHelper.HandleCommand failing with 'System.InvalidOperationException
* [CB-4807](https://issues.apache.org/jira/browse/CB-4807) WP7 + 8 cannot handle parsing config.xml with namespaces
* [CB-4526](https://issues.apache.org/jira/browse/CB-4526) Windows Phone 7+8 `build` script with no flags should call `clean` first
* [CB-4850](https://issues.apache.org/jira/browse/CB-4850) Apache Cordova Apache Cordova
* [CB-4850](https://issues.apache.org/jira/browse/CB-4850) WP7 startup optimization

Other changes include:

* Platform script improvements, removed case-sensitive ms-build version
* Checks affecting some international users.
* Added hash removal to injected js for backbone + jQuery Mobile routes

## What's new in Windows 8

Windows 8 support has been added to cordova-cli, so you can now run:

    cordova platform add windows8

All plugins were broken out into the respective repositories. All plugins are fully supported to be installed/uninstalled with plugman, and cordova-cli.

Supported plugins include:

* org.apache.cordova.camera
* org.apache.cordova.console
* org.apache.cordova.device.motion
* org.apache.cordova.device.orientation
* org.apache.cordova.device
* org.apache.cordova.dialogs
* org.apache.cordova.file-transfer
* org.apache.cordova.file
* org.apache.cordova.geolocation
* org.apache.cordova.inappbrowser (some limitations because of iframe use and security model)
* org.apache.cordova.media-capture
* org.apache.cordova.network-information

## What's new in Firefox OS

Firefox OS support has been added to cordova-cli, so you can run:

    cordova platform add firefoxos

Firefox OS support is still in the very early phases of development. We will continue to work towards adding support for all of cordova's APIs. Currently, Firefox OS support only two plugins:

* org.apache.cordova.vibration
* org.apache.cordova.device

