---
layout: post
author:
    name: Steve Gill
    url: https://twitter.com/stevesgill
title:  "Apache Cordova 3.2.0"
categories: announcements
tags: news releases
---

The [Apache Cordova](http://cordova.apache.org/) team has just released Cordova 3.2.0. Woo Hoo! This release has various bug fixes and enhancements for all of the platforms. 

To upgrade to a 3.2 project (replace `android` with the platform you want to update):

    npm install -g cordova
    cd my_project
    cordova platform update android
    
For non-CLI projects or for pre-3.0 projects, refer to the [upgrade guides](http://cordova.apache.org/docs/en/3.2.0/guide_platforms_index.md.html).

We are in the process of fixing Android 4.4 (KitKat) related bugs. If you want to develop for KitKat, please read our [KitKat blog post](http://cordova.apache.org/announcements/2013/11/15/kitkat.html).

Two known issues can be found at [CB-5398](https://issues.apache.org/jira/browse/CB-5398) and [CB-5294](https://issues.apache.org/jira/browse/CB-5294).

Please report any bugs on our [issue tracker](https://issues.apache.org/jira/browse/CB).

<!--more-->

## What's new in Android

* [CB-5301](https://issues.apache.org/jira/browse/CB-5301) add missing license headers
* [CB-5349](https://issues.apache.org/jira/browse/CB-5349): fixed regression in update script
* [CB-5193](https://issues.apache.org/jira/browse/CB-5193) Fix Android WebSQL sometime throwing SECURITY_ERR.
* [CB-5191](https://issues.apache.org/jira/browse/CB-5191) Deprecate url-filter
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872) - moved version script to promise model
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872) - make sure to copy over version scripts to project
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872) - added android version scripts
* [CB-5117](https://issues.apache.org/jira/browse/CB-5117): Output confirmation message if check_reqs passes.
* Refactoring Android project-level and platform scripts to use Q.js
* Updating to latest shelljs, old version doesn't preserve +x bits
* Remove cordova.xml fallback from Config.java (it was removed from PluginManager for 3.0)
* [CB-5080](https://issues.apache.org/jira/browse/CB-5080) Find resources in a way that works with aapt's --rename-manifest-package
* [CB-4961](https://issues.apache.org/jira/browse/CB-4961): shell.js returns the full path on ls, rebuilding the full path isn't really needed
* [CB-4892](https://issues.apache.org/jira/browse/CB-4892) Fix create script only escaping the first space instead of all spaces.
* Fix update script to clobber cordova.js file (missing -f)
* Add missing copyright header for Whitelist.java.

## What's new in iOS

* [CB-5124](https://issues.apache.org/jira/browse/CB-5124) - Remove splashscreen config.xml values from iOS Configuration Docs, move to plugin docs
* [CB-5229](https://issues.apache.org/jira/browse/CB-5229) - cordova/emulate important improvements (stderr, check ios-sim before build)
* [CB-5058](https://issues.apache.org/jira/browse/CB-5058) - CordovaLib xcode project gets assigned problematic Build Active Architecture Only settings.
* [CB-5217](https://issues.apache.org/jira/browse/CB-5217) - cordova emulate ios doesn't exit
* [CB-4805](https://issues.apache.org/jira/browse/CB-4805) - Update cordova/run and cordova/lib/install-device to use latest ios-deploy for iOS 7
* [CB-5103](https://issues.apache.org/jira/browse/CB-5103) - Fix cordova/run: --emulate should be --emulator (fix CLI usage)
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872) - added iOS sdk version scripts
* [CB-5099](https://issues.apache.org/jira/browse/CB-5099) - Add missing icons especially iOS 7 120x120 icon to default template
* [CB-5037](https://issues.apache.org/jira/browse/CB-5037) - Fix bridge sometimes not resetting properly during page transitions
* [CB-4990](https://issues.apache.org/jira/browse/CB-4990) - Can't run emulator from cordova cli
* [CB-4978](https://issues.apache.org/jira/browse/CB-4978) - iOS - Remove HideKeyboardFormAccessoryBar and KeyboardShrinksView preferences in config.xml
* [CB-4935](https://issues.apache.org/jira/browse/CB-4935) - iOS - Remove Keyboard preferences code into its own plugin
* Make CDVWebViewDelegate able to load pages after a failed load.
* Prevented automatic logging of whitelist failures.

## What's new in Windows Phone 7 & 8

* [CB-5418](https://issues.apache.org/jira/browse/CB-5418) BrowserMouseHelper fails on WP8 for WP7 apps
* [CB-5437](https://issues.apache.org/jira/browse/CB-5437) Inconsistent default new project names for wp7 and wp8 visual studio templates
* Fixes the invalid pattern used to test msbuild availability
* [CB-5076](https://issues.apache.org/jira/browse/CB-5076) String.Format issue causing exception in exception handler
* Update regex to handle international version strings
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872) changed version script file location to right spot and modified sdk version output
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872) - added os version and edition check
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872): Added wp7 and wp8 sdk version
* [CB-3621](https://issues.apache.org/jira/browse/CB-3621) backbutton events can now throw an exception
* [CB-4850](https://issues.apache.org/jira/browse/CB-4850) only write device guid if it does not exist
* added case-insensitivity to check_reqs for wp8, just like @albanf did for wp7
* Version check regexps should be case insensitive
* pulled in and re-jiggered templates
* removed risky regex template version number replacement, and added XMLDOM versions

## What's new in Windows 8

* [CB-5024](https://issues.apache.org/jira/browse/CB-5024) Localized output of msbuild -v was not properly parsed.

## What's new in BlackBerry 10

* [CB-5433](https://issues.apache.org/jira/browse/CB-5433) init.bat use %USERPROFILE% on Windows
* Fix unit tests
* [CB-5317](https://issues.apache.org/jira/browse/CB-5317) Move signing warn logic to build/run scripts
* [CB-5258](https://issues.apache.org/jira/browse/CB-5258) use exit library for process.exit
* [CB-5159](https://issues.apache.org/jira/browse/CB-5159) Add headers to files caught by Apache RAT
* [CB-4531](https://issues.apache.org/jira/browse/CB-4531) bin/check_reqs scripts exit with code 2 on error
* [CB-5246](https://issues.apache.org/jira/browse/CB-5246) cordova/run disambiguate no target exists message
* [CB-5250](https://issues.apache.org/jira/browse/CB-5250) bb init script calls dirname with unquoted variables
* [CB-5266](https://issues.apache.org/jira/browse/CB-5266) update create.js to copy all shell scripts regardless of host platform
* [CB-5254](https://issues.apache.org/jira/browse/CB-5254) log useful error info to std err
* [CB-5237](https://issues.apache.org/jira/browse/CB-5237) Implemented config-file support in config.xml to inject custom xml into the bar-descriptor.
* [CB-4403](https://issues.apache.org/jira/browse/CB-4403) Combined check_reqs and init to allow prerequisite check before each script
* [CB-4570](https://issues.apache.org/jira/browse/CB-4570) Removing unnecessary content check for config since index.html is in the default
* [CB-5135](https://issues.apache.org/jira/browse/CB-5135) Mark scripts as requiring Bash instead of using a random system shell
* [CB-5182](https://issues.apache.org/jira/browse/CB-5182) Adding generic error case to run script
* Auto-detect started simulator on Linux
* [CB-4767](https://issues.apache.org/jira/browse/CB-4767) Remove license from platform config.xml
* [CB-4340](https://issues.apache.org/jira/browse/CB-4340) Auto-detect target pin when its not there
* [CB-4768](https://issues.apache.org/jira/browse/CB-4768) Remove access_shared from default config.xml
* [CB-4931](https://issues.apache.org/jira/browse/CB-4931) Updated signing process to allow passthrough of args
* [CB-4531](https://issues.apache.org/jira/browse/CB-4531) changed error codes in line with spec for helper scripts
* [CB-4780](https://issues.apache.org/jira/browse/CB-4780) update script with windows support
* [CB-4780](https://issues.apache.org/jira/browse/CB-4780) update script for cli platform update command
* [CB-5139](https://issues.apache.org/jira/browse/CB-5139) - fix to able call bb10 version script from anywhere
* [CB-4872](https://issues.apache.org/jira/browse/CB-4872) - added bb10 ndk version scripts
* Adding a missing null check   -Rewriting boolean equation for readability
* [CB-3015](https://issues.apache.org/jira/browse/CB-3015) Moving dependencies to .cordova folder to speed up create time
* [CB-3015](https://issues.apache.org/jira/browse/CB-3015) Fix syntax issue in definition check in init.bat
* [CB-4774](https://issues.apache.org/jira/browse/CB-4774) Adding defaults.xml for new prepare flow
* [CB-4887](https://issues.apache.org/jira/browse/CB-4887) Added support for true/false for hidekeyboardformaccessorybar
* [CB-2980](https://issues.apache.org/jira/browse/CB-2980) Added the install-emulator script
* [CB-2988](https://issues.apache.org/jira/browse/CB-2988) Added the install-device script
* [CB-4913](https://issues.apache.org/jira/browse/CB-4913) Updates warnings to check for BBID token
* [CB-4901](https://issues.apache.org/jira/browse/CB-4901) Removed custom modified wrench + wrench bump to 1.4.4
* [CB-4345](https://issues.apache.org/jira/browse/CB-4345) Added warning message for when signing keys are not installed

## What's new in FirefoxOS

* [CB-5234](https://issues.apache.org/jira/browse/CB-5234): fixed FxOS update script
* [CB-5234](https://issues.apache.org/jira/browse/CB-5234): added update scripts for FxOS
* added values to defaults.xml
* [CB-5051](https://issues.apache.org/jira/browse/CB-5051): moved defaults.xml to cordova folder

## What's new in Cordova-CLI

* add the output of the plugman results to the console
* [CB-5363](https://issues.apache.org/jira/browse/CB-5363) Improve config_json error reporting
* [CB-5364](https://issues.apache.org/jira/browse/CB-5364) config_parser - check for null element text
* Fix issue not finding platform script when in subdir - check platforms which have subdir
* [CB-5377](https://issues.apache.org/jira/browse/CB-5377) serve: should only indicate listening when it is
* [CB-5368](https://issues.apache.org/jira/browse/CB-5368) Cordova serve deflate content breaks IE
* Change cordova serve's project.json to include etags.
* [CB-5280](https://issues.apache.org/jira/browse/CB-5280) Update serve's help text to remove platform arguments
* [CB-5364](https://issues.apache.org/jira/browse/CB-5364) config_parser - handle duplicates with children and text when merging
* [CB-4400](https://issues.apache.org/jira/browse/CB-4400): cd to project root in most cordova commands.
* [CB-5063](https://issues.apache.org/jira/browse/CB-5063): Revert to copying cordova.js before user www dir
* fix 3 failing tests for windows8 and wp8 and add assertions for wp7 too.
* Adding instructions for installing on master.
* [CB-5063](https://issues.apache.org/jira/browse/CB-5063): Keep cordova.js in platform_www to avoid copying it from lib.
* [CB-5307](https://issues.apache.org/jira/browse/CB-5307): Remove references to Callback and Incubator
* tests were failing attempting to match lib/dir and lib\\dir on windows
* [CB-5183](https://issues.apache.org/jira/browse/CB-5183) WP7/8 lib path is not correctly resolved by CLI (additional changes)
* [CB-5283](https://issues.apache.org/jira/browse/CB-5283) Improved cordova serve message to be more descriptive
* [CB-4866](https://issues.apache.org/jira/browse/CB-4866) Execute hooks in ascending order of any leading numbers
* [CB-5143](https://issues.apache.org/jira/browse/CB-5143) Locate the actual Android app .java file much more carefully.
* Cleaning up wp7+8 parsers' use of promises. Fix tests.
* serve: Fix doRoot() not being called & remove duplicated table.
* serve: provide basic entry point
* Wait for the pre_package event to finish, or the update_csproj function might give unexpected results
* Add pre_package event to wp8 project
* readability + code quality in wp7+8 parsers
* [CB-5183](https://issues.apache.org/jira/browse/CB-5183) WP7/8 custom_path is not correctly resolved by CLI
* [CB-4994](https://issues.apache.org/jira/browse/CB-4994) Update xcode dependency to handle Xcode 5 capabilities.

## Plugin versions tested with this release

* cordova-plugin-battery-status: 0.2.4
* cordova-plugin-camera: 0.2.4
* cordova-plugin-console: 0.2.4
* cordova-plugin-contacts: 0.2.5
* cordova-plugin-device: 0.2.4
* cordova-plugin-device-motion: 0.2.3
* cordova-plugin-device-orientation: 0.3.2
* cordova-plugin-dialogs: 0.2.3
* cordova-plugin-file: 0.2.5
* cordova-plugin-file-transfer: 0.3.4
* cordova-plugin-geolocation: 0.3.3
* cordova-plugin-globalization: 0.2.3
* cordova-plugin-inappbrowser: 0.2.4
* cordova-plugin-media: 0.2.5
* cordova-plugin-media-capture: 0.2.4
* cordova-plugin-network-information: 0.2.4
* cordova-plugin-splashscreen: 0.2.4
* cordova-plugin-vibration: 0.3.4

For a full list of changes, refer to RELEASENOTES.md file included in the download.
