---
layout: post
author:
    name: Steve Gill
    url: https://twitter.com/stevesgill
title:  "Plugins Release: Feb 10, 2014"
categories: news
tags: release
---

The following plugins were updated today:

* org.apache.cordova.battery-status@0.2.7
* org.apache.cordova.camera@0.2.7
* org.apache.cordova.console@0.2.7
* org.apache.cordova.contacts@0.2.8
* org.apache.cordova.device@0.2.8
* org.apache.cordova.device-motion@0.2.6
* org.apache.cordova.device-orientation@0.3.5
* org.apache.cordova.dialogs@0.2.6
* org.apache.cordova.file@1.0.0
* org.apache.cordova.file-transfer@0.4.1
* org.apache.cordova.geolocation@0.3.6
* org.apache.cordova.globalization@0.2.6
* org.apache.cordova.inappbrowser@0.3.1
* org.apache.cordova.media@0.2.8
* org.apache.cordova.media-capture@0.2.7
* org.apache.cordova.network-information@0.2.7
* org.apache.cordova.vibration@0.3.7

The most noticeable changes in this release are to the File plugin. It has been revamped to use a new URL scheme `cdvfile://localhost/<filesystemType>/<path to file>`. These URLs are generated by all file operations, and are passed over the bridge to native code. (This is in contrast to the previous version, which passed around absolute paths on the device filesystem).

Most of these changes are to bring us more in line with the HTML Filesystem standard, although they will also allow us to extend the filesystem abstraction to cover new kinds of storage, both internal and external to devices.

Other changes include:

<!--more-->

* The file plugin is now much more modular. The "Filesystem" is now an abstract class that developers can subclass to write their own filesystem types.
* Developers can use the existing filesystem types, or new types, to provide new filesystem roots for their applications. (No longer limited to just persistent and temporary, or just a single directory for storage.)
* Filesystem URLs paths are now relative to the filesystem root, helping to sandbox the filesystems and keep applications from stepping on each others' toes.
* Application developers can now configure the file plugin to use a more sensible location for storing persistent files. On iOS, this means storing files in the Library directory, rather than the Documents directory. On Android, it means using the application's internal storage directory rather than the SD card partition. See the README file for information on configuring your applications.
* Several other bugs have been fixed, and our test coverage has increased.

`org.apache.cordova.battery-status`

* Add Tizen plugin support

`org.apache.cordova.camera`
* [CB-4919](https://issues.apache.org/jira/browse/CB-4919) firefox os quirks added and supported platforms list is updated
* getPicture via web activities
* Documented quirk for [CB-5335](https://issues.apache.org/jira/browse/CB-5335) + [CB-5206](https://issues.apache.org/jira/browse/CB-5206) for WP7+8
* reference the correct firefoxos implementation
* BlackBerry10 Add permission to access_shared

`org.apache.cordova.console`
* Native console needs to be called DebugConsole to avoid ambiguous reference. This commit requires the 3.4.0 version of the native class factory
* [CB-4718](https://issues.apache.org/jira/browse/CB-4718) fixed Console plugin not working on wp

`org.apache.cordova.contacts`
* [CB-3208](https://issues.apache.org/jira/browse/CB-3208) FFOS docs updated
* [CB-4590](https://issues.apache.org/jira/browse/CB-4590) - chooseContact in CDVContacts crashes app

`org.apache.cordova.device`

* Tizen support added

`org.apache.cordova.device-motion`

* Add Tizen support

`org.apache.cordova.device-orientation`
* ubuntu request sensors permission
* ubuntu add missing files
* Add support for Tizen.
* FFOS info added

`org.apache.cordova.dialogs`
* no need to recreate the manifest.webapp file after each `cordova prepare` for FFOS
* FFOS description added

`org.apache.cordova.file`
* [CB-5974](https://issues.apache.org/jira/browse/CB-5974): Use safe 'Compatibility' mode by default
* [CB-5915](https://issues.apache.org/jira/browse/CB-5915): Add option for new persistent storage location for iOS
* [CB-5916](https://issues.apache.org/jira/browse/CB-5916): Add option for new persistent storage location for Android
* Add default FS root to new FS objects
* [CB-5899](https://issues.apache.org/jira/browse/CB-5899): Make DirectoryReader.readEntries return properly formatted Entry objects
* Add constructor params to FileUploadResult related to [CB-2421](https://issues.apache.org/jira/browse/CB-2421)
* Fill out filesystem attribute of entities returned from resolveLocalFileSystemURL
* Android: Expose filePlugin getter so that other plugins can register filesystems
* Add backwards-compatibility shim for file-transfer
* Android: Allow third-party plugin registration
* [CB-5810](https://issues.apache.org/jira/browse/CB-5810) BlackBerry10 resolve local:/// paths (application assets)
* [CB-5774](https://issues.apache.org/jira/browse/CB-5774): create DirectoryEntry instead of FileEntry
* Initial fix for [CB-5747](https://issues.apache.org/jira/browse/CB-5747): Windows 8: DirectoryEntry.getDirectory fails when path contains directory separator
* Android: Allow absolute paths on Entry.getFile / Entry.getDirectory
* [CB-5008](https://issues.apache.org/jira/browse/CB-5008): Rename resolveLocalFileSystemURI to resolveLocalFileSystemURL
* [CB-4899](https://issues.apache.org/jira/browse/CB-4899) BlackBerry10 Fix resolve directories
* [CB-5602](https://issues.apache.org/jira/browse/CB-5602) Windows8. Fix File Api mobile spec tests
* Android: Better support for content urls and cross-filesystem copy/move ops
* [CB-5699](https://issues.apache.org/jira/browse/CB-5699) BlackBerry10 Update resolveLocalFileSystemURI implementation
* [CB-5658](https://issues.apache.org/jira/browse/CB-5658) Update license comment formatting of doc/index.md
* [CB-5658](https://issues.apache.org/jira/browse/CB-5658) Add doc.index.md for File plugin.
* [CB-5658](https://issues.apache.org/jira/browse/CB-5658) Delete stale snapshot of plugin docs
* [CB-5403](https://issues.apache.org/jira/browse/CB-5403): Backwards-compatibility with file:// urls where possible
* Android: Clean up unclosed file objects
* Log file path for File exceptions.
* [CB-5532](https://issues.apache.org/jira/browse/CB-5532) WP8. Add binary data support to FileWriter
* [CB-5531](https://issues.apache.org/jira/browse/CB-5531) WP8. File Api readAsText incorrectly handles position args
* Added ubuntu platform support
* Added amazon-fireos platform support
* [CB-5118](https://issues.apache.org/jira/browse/CB-5118) BlackBerry10 Add check for undefined error handler
* [CB-5403](https://issues.apache.org/jira/browse/CB-5403): Bump File plugin major version
* [CB-5408](https://issues.apache.org/jira/browse/CB-5408): Add handler for filesystem urls
* [CB-5407](https://issues.apache.org/jira/browse/CB-5407): Update Android native code to use filesystem URLs internally

`org.apache.cordova.file-transfer`
* [CB-5365](https://issues.apache.org/jira/browse/CB-5365) Remove unused exception var to prevent warnings?
* [CB-2421](https://issues.apache.org/jira/browse/CB-2421) explicitly write the bytesSent,responseCode,result to the FileUploadResult pending release of cordova-plugin-file dependency, added some sanity checks for callbacks
* iOS: Update for new file plugin api
* [CB-5631](https://issues.apache.org/jira/browse/CB-5631) Removed `SimpleTrackingInputStream.read(byte[] buffer)`
* [CB-5762](https://issues.apache.org/jira/browse/CB-5762) android: Fix `lengthComputable` set wrong for gzip downloads
* [CB-4899](https://issues.apache.org/jira/browse/CB-4899) BlackBerry10 Improve binary file transfer download
* [CB-5722](https://issues.apache.org/jira/browse/CB-5722) BlackBerry10 Update upload function to use native file object
* [CB-5658](https://issues.apache.org/jira/browse/CB-5658) Delete stale snapshot of plugin docs
* [CB-5466](https://issues.apache.org/jira/browse/CB-5466): Update to work with filesystem URLs

`org.apache.cordova.geolocation`
* add ubuntu platform support
* [CB-5326](https://issues.apache.org/jira/browse/CB-5326) adding FFOS permission and updating supported platforms
* [CB-5729](https://issues.apache.org/jira/browse/CB-5729) BlackBerry10 Update GeolocationProxy to return collapsed object

`org.apache.cordova.globalization`

* Add Tizen plugin support

`org.apache.cordova.inappbrowser`
* [CB-5756](https://issues.apache.org/jira/browse/CB-5756): Android: Use WebView.evaluateJavascript for script injection on Android 4.4+
* Didn't test on ICS or lower, getDrawable isn't supported until Jellybean
* add ubuntu platform
* Adding drawables to the inAppBrowser.  This doesn't look quite right, but it's a HUGE improvement over the previous settings
* [CB-5756](https://issues.apache.org/jira/browse/CB-5756): Android: Use WebView.evaluateJavascript for script injection on Android 4.4+
* Remove alive from InAppBrowser.js since it didn't catch the case where the browser is closed by the user.
* [CB-5733](https://issues.apache.org/jira/browse/CB-5733) Fix IAB.close() not working if called before show() animation is done

`org.apache.cordova.media`
* Add preliminary support for Tizen.
* [CB-4755](https://issues.apache.org/jira/browse/CB-4755) Fix crash in Media.setVolume on iOS

`org.apache.cordova.media-capture`
* ubuntu request audio/camera/microphone permission
* fixed  cordova cli add capture plugin not work wp
* [CB-5685](https://issues.apache.org/jira/browse/CB-5685) BlackBerry10 Add access_shared permission

`org.apache.cordova.network-information`

* Initial implementation of Tizen plugin.

`org.apache.cordova.splashscreen`
* [CB-3562](https://issues.apache.org/jira/browse/CB-3562) Fix aspect ratio on landscape-only iPhone applications
* [CB-4051](https://issues.apache.org/jira/browse/CB-4051) fix for splashscreen rotation problem

`org.apache.cordova.vibration`
* Add support for Tizen.
* [CB-3206](https://issues.apache.org/jira/browse/CB-3206) - Supported platforms updated

The plugins have been updated on our registry at [plugins.cordova.io](http://plugins.cordova.io/).

E.g. To update your vibration plugin:

    cordova plugin rm org.apache.cordova.vibration
    cordova plugin add org.apache.cordova.vibration
