---
layout: post
author:
    name: Steve Gill
    url: https://twitter.com/stevesgill
title:  "Apache Cordova 3.4.0"
categories: announcements
tags: news releases
---

We are happy to announce that `Cordova 3.4` has been released!

This release has various bug fixes for all of our supported platforms. 

Our friends at [Mozilla](http://www.mozilla.org/) have put together a blog post about getting started with **Cordova Firefox OS**. Check it out at [https://hacks.mozilla.org/2014/02/building-cordova-apps-for-firefox-os/](https://hacks.mozilla.org/2014/02/building-cordova-apps-for-firefox-os/).

To upgrade: (replace `android` with the platform you want to update):

    npm install -g cordova
    cd my_project
    cordova platform update android
    
For non-CLI projects or for pre-3.0 projects, refer to the [upgrade guides](http://cordova.apache.org/docs/en/3.4.0/guide_platforms_index.md.html).

<!--more-->

## What's new in Android

Android:
43 commits from 10 authors. Highlights include:

* Removing `addJavascriptInterface` support from all Android versions lower
than 4.2 due to security vulnerability
* [CB-5917](https://issues.apache.org/jira/browse/CB-5917) Add a `loadUrlIntoView` overload that doesn't recreate plugins.
* [CB-5889](https://issues.apache.org/jira/browse/CB-5889) Make update script find project name instead of using "null" for
CordovaLib
* [CB-5889](https://issues.apache.org/jira/browse/CB-5889) Add a message in the update script about needing to import
CordovaLib when using an IDE.
* [CB-5793](https://issues.apache.org/jira/browse/CB-5793) Don't clean before build and change output directory to `ant-build`
to avoid conflicts with *Eclipse*.
* [CB-5803](https://issues.apache.org/jira/browse/CB-5803) Fix `cordova/emulate` on *Windows*.
* [CB-5801](https://issues.apache.org/jira/browse/CB-5801) `exec`->`spawn` in build to make sure compile errors are shown.
* [CB-5799](https://issues.apache.org/jira/browse/CB-5799) Update version of `OkHTTP` to 1.3
* [CB-4910](https://issues.apache.org/jira/browse/CB-4910) Update CLI project template to point to `config.xml` at the root
now that it isn't in `www/` by default.
* [CB-5504](https://issues.apache.org/jira/browse/CB-5504) Adding `onDestroy` to app plugin to deregister `telephonyReceiver`
* [CB-5715](https://issues.apache.org/jira/browse/CB-5715) Add *Eclipse* `.project` file to create template. For CLI projects,
it adds refs for root `www/` & `config.xml` and hides platform versions
* [CB-5447](https://issues.apache.org/jira/browse/CB-5447) Removed `android:debuggable=“true”` from project template.
* [CB-5714](https://issues.apache.org/jira/browse/CB-5714) Fix of android build when too big output stops build with error
due to buffer overflow.
* [CB-5592](https://issues.apache.org/jira/browse/CB-5592) Set MIME type for `openExternal` when scheme is file:

## What's new in iOS

* [CB-5794](https://issues.apache.org/jira/browse/CB-5794) iOS build script: 1. don't clean 2. recognize `--emulator` vs `--device`
* Don't show environment vars in build log for copy-www script
* [CB-4910](https://issues.apache.org/jira/browse/CB-4910) Update CLI project template to point to `config.xml` at the root now that it's not in www/ by default.
* Move `.gitignore` in template to gitignore (and add the dot in the script).
* Fix create script copying project template twice.
* [CB-5740](https://issues.apache.org/jira/browse/CB-5740) Use `UIScrollViewDecelerationRateNormal` by default.
* [CB-5420](https://issues.apache.org/jira/browse/CB-5420) Add device model to `User-Agent` cache key.
* Copy `config.xml` within copy-www-build-step.sh instead of in Copy Resoruces step
* [CB-5397](https://issues.apache.org/jira/browse/CB-5397) Add a `--cli` option to `bin/create` that has `../../www/` `../../merges/` within the project
* [CB-5697](https://issues.apache.org/jira/browse/CB-5697) Fix `location.reload()` not firing `deviceready`.
* [CB-4330](https://issues.apache.org/jira/browse/CB-4330) Fix hash changes being treated as top-level navigations
* [CB-3359](https://issues.apache.org/jira/browse/CB-3359) Parse large JSON payloads on a background thread, and yield when executing multiple commands is taking too long.
* [CB-5134](https://issues.apache.org/jira/browse/CB-5134) Fix up bugs with new hash-based `exec()` bridge.
* [CB-5134](https://issues.apache.org/jira/browse/CB-5134) Add `location.hash` based `exec()` bridge.
* [CB-5658](https://issues.apache.org/jira/browse/CB-5658) Fix whitelist crash when URL path has a space.
* [CB-5583](https://issues.apache.org/jira/browse/CB-5583) `WebView` doesn't properly initialize when instantiated from a xib
* [CB-5046](https://issues.apache.org/jira/browse/CB-5046): Adding a `defaults.xml` template
* [CB-5290](https://issues.apache.org/jira/browse/CB-5290) templates: Updated launch images sizes to include the status bar region
* [CB-5276](https://issues.apache.org/jira/browse/CB-5276) Add ability to load start page from a place other then the bundle folder
* [CB-5298](https://issues.apache.org/jira/browse/CB-5298) Have `bin/create` run `bin/check_reqs`.
* [CB-5328](https://issues.apache.org/jira/browse/CB-5328) - `.gitignore` from cordova-ios excludes `platforms/cordova/build` file

## What's new in Windows Phone 7 & 8

* [CB-6041](https://issues.apache.org/jira/browse/CB-6041) `createTemplates` should install theme for *VS-2013* as well
* [CB-5219](https://issues.apache.org/jira/browse/CB-5219) `weinre` disconnects when `history.replaceState` is used
* [CB-5951](https://issues.apache.org/jira/browse/CB-5951) Added namespace to `config.xml`
* Removed wp7 template ref to non-existent file

**Windows Phone 7 is now deprecated!**  Consider upgrading your projects to
Windows Phone 8 as we will be dropping support completely in version 3.7.0
Read the retrospective here: [http://www.risingj.com/archives/585](http://www.risingj.com/archives/585)


## What's new in Windows 8 

* [CB-5951](https://issues.apache.org/jira/browse/CB-5951) Added namespace to `config.xml`
* Remove template file after create by name
* [CB-4533](https://issues.apache.org/jira/browse/CB-4533) return error code 2 on fail, [CB-5359](https://issues.apache.org/jira/browse/CB-5359) get tools version from the registry

## What's new in BlackBerry 10

* [CB-6021](https://issues.apache.org/jira/browse/CB-6021) Add `--release` to run command
* [CB-5723](https://issues.apache.org/jira/browse/CB-5723) Build script should accept `-l` param as it does `--loglevel`
* [CB-6019](https://issues.apache.org/jira/browse/CB-6019) Supply default value of `--device` to the run script
* [CB-5660](https://issues.apache.org/jira/browse/CB-5660) use `enabledelayedexpansion` to handle )s in path
* [CB-5909](https://issues.apache.org/jira/browse/CB-5909) Fixed issue where `check-reqs` skipped checking logic on second pass-through - Removed depend

## What's new in FirefoxOS

* No significant Changes

## What's new in Ubuntu (touch)

* No significant Changes

## What's new in Amazon FireOS

* Upleveled changes from Cordova Android


## What's new in Cordova-CLI

* [CB-5638](https://issues.apache.org/jira/browse/CB-5638) Clean-up: remove unreachable `info` case from function
* [CB-5937](https://issues.apache.org/jira/browse/CB-5937) Add `platform check` command: Shows platforms that are out of date
* [CB-5634](https://issues.apache.org/jira/browse/CB-5634) Minor refactoring + tests for Android's orientation preference.
* [CB-5634](https://issues.apache.org/jira/browse/CB-5634) Set Android orientation from `config.xml`
* Upleveled amazon_fireos_parser. Making it at par with `android_parser.js`
* [CB-5947](https://issues.apache.org/jira/browse/CB-5947) Throw when trying to create project inside custom www.
* [CB-4153](https://issues.apache.org/jira/browse/CB-4153) Update help.txt about `--source` -> `--copy-from`


## Plugin versions tested with this release

* cordova-plugin-battery-status: 0.2.7
* cordova-plugin-camera: 0.2.7
* cordova-plugin-console: 0.2.7
* cordova-plugin-contacts: 0.2.8
* cordova-plugin-device: 0.2.8
* cordova-plugin-device-motion: 0.2.6
* cordova-plugin-device-orientation: 0.3.5
* cordova-plugin-dialogs: 0.2.6
* cordova-plugin-file: 1.0.0
* cordova-plugin-file-transfer: 0.4.1
* cordova-plugin-geolocation: 0.3.6
* cordova-plugin-globalization: 0.2.6
* cordova-plugin-inappbrowser: 0.3.1
* cordova-plugin-media: 0.2.8
* cordova-plugin-media-capture: 0.2.7
* cordova-plugin-network-information: 0.2.7
* cordova-plugin-splashscreen: 0.2.7
* cordova-plugin-vibration: 0.3.7
