---
layout: post
author:
    name: Edna Morales
    url: https://twitter.com/ednaymorales
title:  "Cordova iOS 4.1.1"
categories: announcements
tags: news releases
---

We are happy to announce that `Cordova iOS 4.1.1` has been released!

This release addresses issue [CB-10773](https://issues.apache.org/jira/browse/CB-10773), which was an issue with creating an iOS project on a Windows machine and then building on OSX.

A new version of the `cordova-cli` will need to be released to pin this version of **cordova-ios** as the default version when creating a new project. If you want to start using this version now, make sure to specify the version when doing a `cordova platform add/update`.

To upgrade:

    npm install -g cordova
    cd my_project
    cordova platform rm ios
    cordova platform add ios@4.1.1
    

To add it explicitly:

    cordova platform add ios@4.1.1

<!--more-->
## What's new in iOS platform

* [CB-11006](https://issues.apache.org/jira/browse/CB-11006) Added license to loggingHelper.js
* [CB-11006](https://issues.apache.org/jira/browse/CB-11006) Updated checked-in node_modules
* [CB-10320](https://issues.apache.org/jira/browse/CB-10320) Fixes corrupted logo.png
* [CB-10918](https://issues.apache.org/jira/browse/CB-10918) Travis tests are failing sometimes for cordova-ios
* [CB-10912](https://issues.apache.org/jira/browse/CB-10912) Bundling ios-sim 5.0.7 to fix 'Invalid Device State' errors
* [CB-10912](https://issues.apache.org/jira/browse/CB-10912) update ios-sim to 5.0.7 to fix 'Invalid Device State' errors
* [CB-10888](https://issues.apache.org/jira/browse/CB-10888) Enable coverage reports collection via codecov
* [CB-10840](https://issues.apache.org/jira/browse/CB-10840) Use cordova-common.CordovaLogger in cordova-ios
* [CB-10846](https://issues.apache.org/jira/browse/CB-10846) Add status badges for Travis and AppVeyor
* [CB-10846](https://issues.apache.org/jira/browse/CB-10846) Add AppVeyor configuration
* [CB-10773](https://issues.apache.org/jira/browse/CB-10773) Update path delimiters in tests
* [CB-10769](https://issues.apache.org/jira/browse/CB-10769) Update specs according to actual implementation
* [CB-10769](https://issues.apache.org/jira/browse/CB-10769) Copy raw pluginHandler tests from cordova-lib
* [CB-10828](https://issues.apache.org/jira/browse/CB-10828) revert bad fix for [CB-10828](https://issues.apache.org/jira/browse/CB-10828) I blame node 5.7.0
* [CB-10828](https://issues.apache.org/jira/browse/CB-10828) TypeError: Cannot read property 'indexOf' of null when allow-navigation using scheme:*
* [CB-10773](https://issues.apache.org/jira/browse/CB-10773) Correct FRAMEWORKS_SEARCH_PATHS on win32
* [CB-10673](https://issues.apache.org/jira/browse/CB-10673) fixed conflicting plugin install issue with overlapped <source-file> tag using --force option. This closes #199.
