---
layout: post
author:
    name: Shazron Abdullah
    url: https://twitter.com/shazron
title:  "Node 0.x and 4.x Deprecation Timeline for Apache Cordova"
categories: news
tags: deprecation timeline node
---

Currently, all the platforms and plugins require a minimum of `node 0.10` to be installed. `node 0.10` has been out of [LTS][1] for a while now, and its maintenance period (security bug fixes) **stops on Oct 31st 2016**. `node 0.12` will be out of maintenance **Jan 1st 2017**.

There will be two distinct deprecation periods, one for `node 0.x`, and one for `node 4.x`.

`node 6.x` will be on active LTS **Oct 18th 2016** (thus the default and recommended version to download on [nodejs.org](http://nodejs.org)) and will be the version we recommend users upgrade to, during both deprecation periods.

What does `node 6.x` give us? [99% ES2015 (ES6)][2] support, and [100% ES2016 (ES7)][3] support.

JavaScript files in plugins themselves are unaffected, since the JavaScript support for them is dependent on platform browser support. For example, ES6 is supported in iOS 10, while on older iOS platforms only ES5 is supported. 

<!--more-->

## Timeline

**Oct 1st, 2016** - deprecate use of `node 0.x`. 

- all AppVeyor/Travis CI builds still test using `node 0.x` as well as `node 4.x` and greater
- add a requirements check that will print out a deprecation notice if users are using a node < 4, and tell them to upgrade to a minimum of 6.

The `node 0.x` deprecation period will run for **3 months**, and it will end on Jan 1st 2017. 

**Jan 1st, 2017** - stop `node 0.x` support. 

- all AppVeyor/Travis CI builds only test for `node 4.x` and greater. 
- safe to use some ES6 features in the Apache Cordova tools and platforms, not plugins (built in Promises, let, const, arrow functions, template strings, for/of loop syntax).
- tools and platforms will bump up a major version

**Apr 1st, 2017** - deprecate use of `node 4.x`. 

- all AppVeyor/Travis CI builds still test using `node 4.x` as well as `node 6.x` and greater
- add a requirements check that will print out a deprecation notice if they are using a node <= 4, and tell them to upgrade to a minimum of 6

The `node 4.x` deprecation period will run for **12 months** and it will end on April 1st 2018.

**Apr 1st, 2018** - stop `node 4.x` support. 

- all AppVeyor/Travis CI builds only test for `node 6.x` and greater
- safe to use ES6 and ES7 features in the Apache Cordova tools and platforms (not plugins)
- tools and platforms will bump up a major version

[![cordova node deprecation timeline](/static/img/cordova-node-timeline.svg)](/static/img/cordova-node-timeline.svg)

 
[1]: https://github.com/nodejs/LTS "Node.js Long-term Support Working Group"
[2]: http://node.green/#ES2015 "Node ES6 Support"
[3]: http://node.green/#ES2016 "Node ES7 Support"
