---
layout: post
author:
    name: Bryan Ellis
title:  "Cordova CLI 12.0.0 & Internal Packages Released!"
categories: news
tags: news releases
---

We are happy to announce that we have just released a major update to our Cordova CLI!

* [cordova@12.0.0](https://www.npmjs.com/package/cordova)

In this CLI release, it also includes the latest internal libraries:

* [cordova-lib@12.0.1](https://www.npmjs.com/package/cordova-lib)
* [cordova-create@5.0.0](https://www.npmjs.com/package/cordova-create)
* [cordova-common@5.0.0](https://www.npmjs.com/package/cordova-common)
* [cordova-fetch@4.0.0](https://www.npmjs.com/package/cordova-fetch)
* [cordova-serve@4.0.1](https://www.npmjs.com/package/cordova-serve)

## Release Highlights

This release drops Nodejs 14 support. The minimum supported version that Cordova requires is greater than or equal to 16.13.0.

In all releases, we have updated all npm packages to the possible latest release that Cordova can support.

**BREAKING CHANGES:**

We have removed the deprecated platforms **OSX** and **Windows** from the platform listing. While you can still install these platforms, you will need to use the full npm package names `cordova-osx` and `cordova-windows`. Please note that these platforms are no longer actively maintained, and there is a possibility that they may not function as expected and could break in the future. As a result, they will not receive any further support.

Additionally, we have removed all internal platform pinnings. When running the `cordova platform add <PLATFORM>` command, it will always fetch the latest available platform from the npm registry. This allows for immediate access to newly released platforms. If you require the command to consistently fetch a specific version, you will need to update your command to include the version pinning, like this: `cordova platform add <PLATFORM>@<VERSION>`.

Please report any issues you find on our GitHub issue tracker! Please select below the appropriate repo when submitting.

* [Cordova CLI - Issue Tracker](https://github.com/apache/cordova-cli/issues)
* [Cordova Lib - Issue Tracker](https://github.com/apache/cordova-lib/issues)
* [Cordova Create - Issue Tracker](https://github.com/apache/cordova-create/issues)
* [Cordova Fetch - Issue Tracker](https://github.com/apache/cordova-fetch/issues)
* [Cordova Serve - Issue Tracker](https://github.com/apache/cordova-serve/issues)
* [Cordova Common - Issue Tracker](https://github.com/apache/cordova-common/issues)

<!--more-->
# Changes include:

**Cordova CLI 12.0.0:**

* [GH-611](https://github.com/apache/cordova-cli/pull/611) feat!(run): call platform api to list targets
* [GH-595](https://github.com/apache/cordova-cli/pull/595) feat!: remove `update-notifier` support
* [GH-615](https://github.com/apache/cordova-cli/pull/615) dep!: bump `cordova-create@5.0.0` & `cordova-lib@12.0.0`
* [GH-613](https://github.com/apache/cordova-cli/pull/613) dep!: bump possible dependencies & set bump node requirement `>=16.13.0`
  * `@cordova/eslint-config@^5.0.0`
  * `jasmine@^4.6.0`
  * `rewire@^6.0.0`
  * `cordova-common@5.0.0`
  * `fs-extra@11.1.1`
  * `nopt@7.1.0`
  * `semver@7.5.0`
  * `systeminformation@5.17.12`

**Cordova Lib 12.0.0 & 12.0.1:**

* [GH-918](https://github.com/apache/cordova-lib/pull/918) fix: platform add with tarball & directory
* [GH-917](https://github.com/apache/cordova-lib/pull/917) feat!(`run`): call platform api to list targets
* [GH-894](https://github.com/apache/cordova-lib/pull/894) feat!: remove platform pinning
* [GH-896](https://github.com/apache/cordova-lib/pull/896) feat!: remove **OSX** & **Windows** platform

**Cordova Create 5.0.0:**

* [GH-82](https://github.com/apache/cordova-create/pull/82) dep!: packages upgrade & requirements
  * Bumped Packages
    * `@cordova/eslint-config@latest@5.0.0`
    * `cordova-common@5.0.0`
    * `cordova-fetch@4.0.0`
    * `fs-extra@11.1.1`
    * `jasmine@4.6.0`
    * `rewire@6.0.0`
    * `npm-package-arg@10.1.0`
  * Rebuilt `package-lock.json`
  * Bumped `node` engine requirement `>=16.13.0`

**Cordova Fetch 4.0.0:**

* [GH-108](https://github.com/apache/cordova-fetch/pull/108) dep!: bumped `node` & `npm` engine requirment & dependencies w/ `package-lock` rebuild
  * Engine Requirement Update
    * Node: `>= 16.13.0`
    * npm: `>= 8.1.0`
  * Package Upgrade
    * `@npmcli/arborist@6.2.5`
    * `pacote@15.1.1`
    * `npm-package-arg@10.1.0`
    * `@cordova/eslint-config@5.0.0`
    * `fs-extra@11.1.1`
    * `cordova-common@5.0.0`
    * `jasmine@4.6.0`
* [GH-109](https://github.com/apache/cordova-fetch/pull/109) dep!: bump `which@3.0.0`
* [GH-102](https://github.com/apache/cordova-fetch/pull/102) dep(npm): update `pacote@15.0.7`
* [GH-75](https://github.com/apache/cordova-fetch/pull/75) refactor: replace `superspawn` with `execa`
* [GH-110](https://github.com/apache/cordova-fetch/pull/110) test: remove private internal method testing and `rewire`
* [GH-111](https://github.com/apache/cordova-fetch/pull/111) ci: sync `codecov-action` setup between other repos

**Cordova Serve 4.0.1:**

* [GH-49](https://github.com/apache/cordova-serve/pull/49), [GH-51](https://github.com/apache/cordova-serve/pull/51), [GH-53](https://github.com/apache/cordova-serve/pull/53) chore: rebuilt package-lock.json
* [GH-52](https://github.com/apache/cordova-serve/pull/52) ci: update github action workflow
* [GH-46](https://github.com/apache/cordova-serve/pull/46) fix(main.js): color of 404 status in console logs
* [GH-45](https://github.com/apache/cordova-serve/pull/45) fix(main.js): resolve deprecation warning on Node.js 12
* [GH-44](https://github.com/apache/cordova-serve/pull/44) fix: pass mandatory args to platform API constructor
* [GH-38](https://github.com/apache/cordova-serve/pull/38) ci: add node 14 to workflow

**Cordova Common 5.0.0:**

See the [Cordova Common Release 5.0.0](https://cordova.apache.org/announcements/2023/03/09/cordova-common-release-5.0.0.html) blog post.
