---
license: >
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.

title: Plugin APIs
---

# Plugin APIs

Cordova ships with a minimal set of APIs, and projects add what extra APIs they require through plugins.

You can search through all existing plugins (including third-party plugins) on [npm](https://www.npmjs.com/search?q=ecosystem%3Acordova).

The traditional set of core Cordova plugins are as follows:

- [Battery Status](https://www.npmjs.com/package/cordova-plugin-battery-status)
> Monitor the status of the device's battery.

- [Camera](https://www.npmjs.com/package/cordova-plugin-camera)
> Capture a photo using the device's camera.

- [Console](https://www.npmjs.com/package/cordova-plugin-console)
> Add additional capability to console.log().

- [Contacts](https://www.npmjs.com/package/cordova-plugin-contacts)
> Work with the devices contact database.

- [Device](https://www.npmjs.com/package/cordova-plugin-device)
> Gather device specific information.

- [Device Motion (Accelerometer)](https://www.npmjs.com/package/cordova-plugin-device-motion)
> Tap into the device's motion sensor.

- [Device Orientation (Compass)](https://www.npmjs.com/package/cordova-plugin-device-orientation)
> Obtain the direction that the device is pointing.

- [Dialogs](https://www.npmjs.com/package/cordova-plugin-dialogs)
> Visual device notifications.

- [FileSystem](https://www.npmjs.com/package/cordova-plugin-file)
> Hook into native file system through JavaScript.

- [File Transfer](https://www.npmjs.com/package/cordova-plugin-file-transfer)
> Hook into native file system through JavaScript.

- [Geolocation](https://www.npmjs.com/package/cordova-plugin-geolocation)
> Make your application location aware.

- [Globalization](https://www.npmjs.com/package/cordova-plugin-globalization)
> Enable representation of objects specific to a locale.

- [InAppBrowser](https://www.npmjs.com/package/cordova-plugin-inappbrowser)
> Launch URLs in another in-app browser instance.

- [Media](https://www.npmjs.com/package/cordova-plugin-media)
> Record and play back audio files.

- [Media Capture](https://www.npmjs.com/package/cordova-plugin-media-capture)
> Capture media files using device's media capture applications.

- [Network Information (Connection)](https://www.npmjs.com/package/cordova-plugin-network-information)
> Quickly check the network state, and cellular network information.

- [Splashscreen](https://www.npmjs.com/package/cordova-plugin-splashscreen)
> Show and hide the applications splash screen.

- [Vibration](https://www.npmjs.com/package/cordova-plugin-vibration)
> An API to vibrate the device.

- [StatusBar](https://www.npmjs.com/package/cordova-plugin-statusbar)
> An API for showing, hiding and configuring status bar background.

- [Whitelist](https://www.npmjs.com/package/cordova-plugin-whitelist)
> A plugin to whitelist network requests. Must install to have any network requests in your applications.

- [Legacy Whitelist](https://www.npmjs.com/package/cordova-plugin-legacy-whitelist)
> A plugin to use the old style of whitelist before it was ripped out and changed in the whitelist plugin. 



Non-English translations of these plugin docs can be found by going to the plugin github repos and looking in the docs folder
